com.io7m.smfj.bytebuffer

## Class SMFByteBufferPackingConfiguration.Builder

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferPackingConfiguration.Builder

- Enclosing class:
    SMFByteBufferPackingConfiguration

      public static final class SMFByteBufferPackingConfiguration.Builder
      extends Object

  Builds instances of type `SMFByteBufferPackingConfiguration`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFByteBufferPackingConfiguration.Builder` | `addAllAttributesOrdered(Iterable<SMFAttribute> element)`
    `SMFByteBufferPackingConfiguration.Builder` | `addAttributesOrdered(SMFAttribute element)`
    `SMFByteBufferPackingConfiguration` | `build()` Builds a new `SMFByteBufferPackingConfiguration`.
    `SMFByteBufferPackingConfiguration.Builder` | `from(SMFByteBufferPackingConfigurationType instance)` Fill a builder with attribute values from the provided `SMFByteBufferPackingConfigurationType` instance.
    `SMFByteBufferPackingConfiguration.Builder` | `setAttributesOrdered(javaslang.collection.Seq<SMFAttribute> elements)`
    `SMFByteBufferPackingConfiguration.Builder` | `setIterableAttributesOrdered(Iterable<SMFAttribute> elements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFByteBufferPackingConfiguration.Builder from(SMFByteBufferPackingConfigurationType instance)

      Fill a builder with attribute values from the provided `SMFByteBufferPackingConfigurationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addAttributesOrdered

          public SMFByteBufferPackingConfiguration.Builder addAttributesOrdered(SMFAttribute element)

    - #### addAllAttributesOrdered

          public SMFByteBufferPackingConfiguration.Builder addAllAttributesOrdered(Iterable<SMFAttribute> element)

    - #### setAttributesOrdered

          public SMFByteBufferPackingConfiguration.Builder setAttributesOrdered(javaslang.collection.Seq<SMFAttribute> elements)

    - #### setIterableAttributesOrdered

          public SMFByteBufferPackingConfiguration.Builder setIterableAttributesOrdered(Iterable<SMFAttribute> elements)

    - #### build

          public SMFByteBufferPackingConfiguration build()

      Builds a new `SMFByteBufferPackingConfiguration`.
      Returns:
        An immutable instance of SMFByteBufferPackingConfiguration
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com